japa.parser.ast.expr

## Class IntegerLiteralMinValueExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.LiteralExpr
      - - japa.parser.ast.expr.StringLiteralExpr
        - - japa.parser.ast.expr.IntegerLiteralExpr
          - - japa.parser.ast.expr.IntegerLiteralMinValueExpr

    public final class IntegerLiteralMinValueExpr
    extends IntegerLiteralExpr

### Field Summary

### Fields inherited from class japa.parser.ast.expr.IntegerLiteralExpr

`MIN_VALUE`

### Fields inherited from class japa.parser.ast.expr.StringLiteralExpr

`value`

### Constructor Summary

Constructors
Constructor and Description
`IntegerLiteralMinValueExpr()`
`IntegerLiteralMinValueExpr(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.

### Methods inherited from class japa.parser.ast.expr.IntegerLiteralExpr

`isMinValue`

### Methods inherited from class japa.parser.ast.expr.StringLiteralExpr

`getValue, setValue`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntegerLiteralMinValueExpr

    public IntegerLiteralMinValueExpr()

#### IntegerLiteralMinValueExpr

    public IntegerLiteralMinValueExpr(int beginLine,
                              int beginColumn,
                              int endLine,
                              int endColumn)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Overrides:
  `accept` in class `IntegerLiteralExpr`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Overrides:
  `accept` in class `IntegerLiteralExpr`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor